# Interface IApiRequestService

Namespace
  adas_core.Application.Services.Interfaces

Assembly
  adas-core.Application.dll

    public interface IApiRequestService

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### SaveRequest(ApiRequest)

Asynchronously saves the specified API request.

    Task SaveRequest(ApiRequest apiRequest)

#### Parameters

`apiRequest` ApiRequest

  The API request to persist.

#### Returns

Task

### SaveRequestAsync(ApiRequest)

Asynchronously persists the specified ApiRequest.

    Task SaveRequestAsync(ApiRequest apiRequest)

#### Parameters

`apiRequest` ApiRequest

  The API request to be saved.

#### Returns

Task